Aes_security

## Data Structures

struct | mmcau_function_info_t

## Enumerations

enum | _mmcau_info_tag { kMmcauInfoTag = FOUR_CHAR_CODE('k', 'c', 'a', 'u') }

## aes_security

void | aes_init (uint32_t *key)
| An initialization function for the decryption peripheral Warning: The key must be word aligned.
void | aes_encrypt (uint32_t *in, uint32_t *key, uint32_t *out)
| Encrypts a 16 byte block of data in and out may use the same address so encrypting in place is supported Warning: All parameters must be word aligned.
void | aes_decrypt (uint32_t *in, uint32_t *key, uint32_t *out)
| Decrypts a 16 byte block of data in and out may use the same address so decrypting in place is supported Warning: All parameters must be word aligned. More...

## Usage Information

## Data Structure Documentation

struct mmcau_function_info_t

Data Fields
uint32_t | aes_decrypt_start |
uint32_t | aes_encrypt_start |
uint32_t | aes_init_start |
uint32_t | length |
uint32_t | tag |

## Enumeration Type Documentation

enum _mmcau_info_tag

Enumerator
kMmcauInfoTag | Tag value used to validate the bootloader configuration data.

## Function Documentation

void aes_decrypt | ( | uint32_t * | in,
|  | uint32_t * | key,
|  | uint32_t * | out
| ) |  |

Decrypts a 16 byte block of data in and out may use the same address so decrypting in place is supported Warning: All parameters must be word aligned.

Decrypts a 16 byte block of data in and out may use the same address so decrypting in place is supported Warning: All parameters must be word aligned.